sennik53

SolidCAM мануал

145 сообщений в этой теме
В Sunday, October 15, 2017 в 18:40, Андрей Фомин сказал:

Не подскажете, есть хоть какой-нибудь мануал по конфигурированию vmid файла? в руководстве по gpp нет ничего. 

Пока нет в бесплатном доступе. Но готовлю по мере  доступности ( по времени возможнозти перевод.)

Как только смогу хотя-бы предоставить похожий для нашего воспрятия перевод ( английский  мой плохой - но материал для перевода вообще - непонятное что-то. извиняюсь, если не прав) .

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


А можете поделиться тем что есть на англ.-ом, настраиваю станочек и нет ни какого описания опций, а очень нужно. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
22 часа назад, Андрей Фомин сказал:

 

А можете поделиться тем что есть на англ.-ом, настраиваю станочек и нет ни какого описания опций, а очень нужно. 

 

Не сегодня-завтра закончу. Вышлю. 

завершаю перевод.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В Sunday, October 29, 2017 в 18:45, Андрей Фомин сказал:

 

А можете поделиться тем что есть на англ.-ом, настраиваю станочек и нет ни какого описания опций, а очень нужно

 

https://cloud.mail.ru/public/Ekd6/Ap8oYp9LC

 

Вот очередной перевод-мануал по конфигурированию vmid файла.

21 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

 

Цитата

Вот очередной перевод-мануал по конфигурированию vmid файла.

Спасибо за Вашу работу!!!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Спасибо!!

А есть ли мануал по токарном Фрезе иной обработке?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Всех с наступающим Новым 2108 Годом:5a33a3678bcb9_3DSmiles(25)::5a33a36a94edb_3DSmiles(199):

6 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 29.08.2017 в 16:31, sennik53 сказал:

Коллеги! Представляю очередной перевод на тему токарной обработки. Данная инструкция была вырезана из общего "тела" инструкции  Токарной и токарно-фрезерной обработки. "Недопереведенный" материал после завершения будет опубликован на форуме (т.е. Токарная и токарно-фрезерная обработка  в полной мере).
Первый лист с изображением токарно-фрезерных переходов остался прежним, т.е. из инструкции по Токарной и токарно-фрезерной обработке.
Со временем подправим (картинки можно опубликовать на сайте для изменения "титульного листа", конечно кто хочет). А ПОКА ПРИМИТЕ К РЕАЛИЗАЦИИ И ОБУЧЕНИЮ. 
Кто-то, когда-то (уже не помню) задавал вопрос о наличии обучающего материала по токарной обработке в среде SolidCAM. Для начала вот такой вариант. Более простой вариант обучения по токарке готовлю. Возможно на неделе закончу. Он основан по принципу материала 2010 года т.н "Быстрый старт по токарной обработке". Кто знаком с эти материалом, то мой вариант основан на интерфейсе SolidCAM 2016 года.
Как только закончу - выставлю.

 

https://cloud.mail.ru/public/HTRq/mG53RVBtz

 

Класс.ещё бы токарно фрезерную.буду ждать.очень надо.заранее благодарен

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

https://cloud.mail.ru/public/G6bs/2PNFskrqG

 

Коллеги. Создал инструкцию по вопросу гравирования в SolidCAM.

А то в базовой версии очень ограничено представлена стратегия гравирования. Вот создал свою с более расширенными возможностями по этой теме (гравировка текста имеется ввиду).

Пока не совсем закончил. Есть еще парочка вариантов для опробывания. Ну это уже потом.

7 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Спасибо за труд

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Спасибо! Сложно переоценить такой труд!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 минуту назад, Metalfrezer сказал:

Сложно переоценить такой труд!

А оценить?

А оплатить?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

 

 

9 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 минуту назад, sennik53 сказал:

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

 

 

В любом случае спасибо!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, sennik53 сказал:

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

 

 

Огромное спасибо!!!

Пошёл читать

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 минут назад, sennik53 сказал:

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

 

 

Спасибо большое за Вашу работу!!!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, sennik53 сказал:

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

Спасибо огромное!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, sennik53 сказал:

Коллеги.Наконец осилил перевод "токарной и токарно-фрезерной обработки в SjlidCAM".

Раздел "СИНХРОНИЗАЦИЯ КАНАЛА" ну очень тугой на предмет перевода. Так, что не обессудте если что не так перевел. Старался. Представляю на ваш суд.

https://cloud.mail.ru/public/9a3L/4PMoDozy9

 

 

Спасибо!!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом